Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037221
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-11-03 14:142018-01-03 12:38
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision01c6dc6168f6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037221: Cannot add a purchase order line to a goods receipt if both secondary UOM and alternate UOM are configured for the product

DescriptionCannot add a purchase order line to a goods receipt if both secondary UOM and alternate UOM are configured for the product

updateData function of CreateFrom_ShipmentPO.html is receiving a value in inpmProductUomId
Steps To ReproduceAs System Admin role:
   Set Product - UOM tab as Active

As group admin role:
   Create a new product
   Add a purchase price list to it
   Add a unit in UOM tab

As System Admin role:
   Set the Enable UOM Management preference to Y

As group admin role:
   Add a the same unit in Alternate UOM to the previously created product
   Create a purchase order and set Alternate UOM and Operative Quantity
   Book it
   Create a Goods Receipt and select the previously created purchase order in Create Lines From process
   Try to modify the Operative Quantity and check you could not (you can modify the Quantity field)
   Select a storage bin and click on OK
   The following error is raised:
      ERROR: null value in column "movementqty" violates not-null constraint
   And the log shows:
      ERROR org.openbravo.erpCommon.ad_actionButton.CreateFromShipmentData - SQL error in query: INSERT INTO M_INOUTLINE
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0039448 closedmarkmm82 [PR18Q4] "Create Lines From" on Goods Receipt not working properly when using Alternate UOM 

-  Notes
(0100293)
collazoandy4 (developer)
2017-11-06 23:40

Test Plan
 Configuration Steps
  As System Admin role:
    Set in the UOM Tab for Product window as Active
    Log out and Log In

  As group admin role:
    Go to Product window and create a new record:
      Search Key/Name: IssueProduct
      Create two records in Price Tab:
        Price List Version: Tarifa Bebidas Alegres Unit/List Price: 8.00
        Price List Version: Tarifa de ventas Unit/List Price: 9.00
      Create a new record in UOM Tab:
        UOM: Kilogram
   
  As System Admin role:
    Set the Enable UOM Management preference to Y

  As group admin role:
    Go to Product window and select IssueProduct
      Create a new record in Alternate UOM tab:
        UOM: Kilogram
        Conversion rate: 2
        Sales: Secondary
        Purchase: Primary

 Steps to reproduce
   Go to Purchase order and create a new record:
     Business Partner: Bebidas Alegres, S.L.
     Create a new record in Lines tab:
       Product: IssueProduct
       Operative Quantity: 5
       Alternative UOM: Kilogram
     Book the order
   Go to Purchase Invoice and create a new record:
     Business Partner: Bebidas Alegres, S.L.
     Using Create Lines From process select the previous order created select the line and check the process ends sucessfully
     Do not Complete it
   Go to Goods Receipt and create a new record:
     Business Partner: Bebidas Alegres, S.L.
     Using Create Lines From process select the previous order created select the line and check the process ends sucessfully
     Do not Complete it
   Complete the previous invoice created
   Go to the receipt created and remove the line
     Using Create Lines From process select the previous order created select the line and check the process ends sucessfully
     Complete it

 Repeat the same steps to reproduce for a product without Alternative UOM enabled and sales flow
 Set the Enable UOM Management preference to N and test de above steps to reproduce for purchase and sales flow
(0100499)
hgbot (developer)
2017-11-13 16:56

Repository: erp/devel/pi
Changeset: 01c6dc6168f6c99f1e9c223d26fdf789e2ad2e61
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Nov 06 17:31:38 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/01c6dc6168f6c99f1e9c223d26fdf789e2ad2e61 [^]

Fixes issue 37221: Cannot add a purchase order line to a goods receipt if both
secondary UOM and alternate UOM are configured for the product

When creating a goods receipt line from an order with a product wich have configured
secondary and alternate UOM the qtyAum parameter was empty.

Now if the AUM is enabled and the line in the order doesn't have a secondary uom
the qtyAum value is get from the line

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---
(0100500)
dmiguelez (developer)
2017-11-13 16:57

Code Review + Testing Ok
(0101417)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-03 14:14 ngarcia New Issue
2017-11-03 14:14 ngarcia Assigned To => Triage Finance
2017-11-03 14:14 ngarcia Modules => Core
2017-11-03 14:14 ngarcia Triggers an Emergency Pack => No
2017-11-03 14:14 ngarcia Issue Monitored: networkb
2017-11-06 10:59 dmiguelez Assigned To Triage Finance => collazoandy4
2017-11-06 11:07 ngarcia Priority immediate => urgent
2017-11-06 15:21 collazoandy4 Status new => scheduled
2017-11-06 23:40 collazoandy4 Note Added: 0100293
2017-11-13 16:56 hgbot Checkin
2017-11-13 16:56 hgbot Note Added: 0100499
2017-11-13 16:56 hgbot Status scheduled => resolved
2017-11-13 16:56 hgbot Resolution open => fixed
2017-11-13 16:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/01c6dc6168f6c99f1e9c223d26fdf789e2ad2e61 [^]
2017-11-13 16:57 dmiguelez Review Assigned To => dmiguelez
2017-11-13 16:57 dmiguelez Note Added: 0100500
2017-11-13 16:57 dmiguelez Status resolved => closed
2017-11-13 16:57 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101417
2018-10-16 10:00 Sandrahuguet Relationship added causes 0039448


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker